curl --request GET \
--url https://api.fabric.inc/v3/price-controls \
--header 'Authorization: Bearer <token>' \
--header 'x-fabric-tenant-id: <x-fabric-tenant-id>'import requests
url = "https://api.fabric.inc/v3/price-controls"
headers = {
"x-fabric-tenant-id": "<x-fabric-tenant-id>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'x-fabric-tenant-id': '<x-fabric-tenant-id>', Authorization: 'Bearer <token>'}
};
fetch('https://api.fabric.inc/v3/price-controls', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"query": {
"size": 10,
"offset": 10,
"count": 50
},
"data": [
{
"priceListId": 100000,
"isDeleted": false,
"createdAt": "2019-08-20T14:15:22.000Z",
"updatedAt": "2019-08-20T14:15:22.000Z",
"itemId": 10000001,
"itemSku": "SKU0123456",
"msrp": 299,
"map": 199.99,
"floor": 149,
"ceiling": 149,
"channelId": "12"
}
]
}{
"type": "TENANT_HEADER_REQUIRED",
"message": "x-fabric-tenant-id header is required"
}{
"type": "UNAUTHORIZED",
"message": "Invalid credentials"
}{
"type": "INTERNAL_SERVER_ERROR",
"message": "Internal server error"
}Get all price controls
Get a paginated list of all the created price controls.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
A header used by fabric to identify the tenant making the request. You must include tenant id in the authentication header for an API request to access any of fabric’s endpoints. You can retrieve the tenant id , which is also called account id, from Copilot. This header is required.
24x-fabric-channel-id identifies the sales channel where the API request is being made; primarily for multichannel use cases. The channel ids are 12 corresponding to US and 13 corresponding to Canada. The default channel id is 12. This field is required.
"12"
A unique request ID.
"263e731c-45c8-11ed-b878-0242ac120002"
Query Parameters
The maximum number of records per page.
1 <= x <= 100The number of records to skip before returning records. For example, with an offset of 20 and limit of 10, you will get records from 21 to 30.
x >= 00
Was this page helpful?
